#!/bin/sh

set -euo pipefail
set -x

# Push some git repos
pass git push
git --git-dir=$HOME/.cfg/ --work-tree=$HOME push

# Fetch a fresh copy of all locally cloned git repos
for dir in $(find /home/kunsi/git -mindepth 1 -maxdepth 1 -type d)
do
    git --git-dir=$dir/.git --work-tree=$dir fetch || true
done

# Do a backup.
rsync -zaAP --numeric-ids --delete --relative \
    --rsync-path="/usr/bin/rsync --fake-super" \
    -e "ssh" --delete-excluded \
    --exclude "/home/kunsi/.cache/" \
    --exclude "/home/kunsi/.config/Rambox/" \
    --exclude "/home/kunsi/.config/Ferdi/" \
    --exclude "/home/kunsi/.local/lib/python*/site-packages/" \
    --exclude "/home/kunsi/.local/share/sddm/" \
    --exclude "/home/kunsi/.local/share/TelegramDesktop/tdata/user_data/cache/" \
    --exclude "/home/kunsi/.mozilla/firefox/*/storage/*" \
    --exclude "/home/kunsi/.npm/" \
    --exclude "/home/kunsi/.nvm/" \
    --exclude "/home/kunsi/.platformio/" \
    --exclude "/home/kunsi/.ssh/cm-*" \
    --exclude "/home/kunsi/.vdirsyncer" \
    --exclude "/home/kunsi/Downloads/" \
    --exclude "/home/kunsi/qemu/Windows_10.qcow2" \
    --exclude "/home/kunsi/Schreibtisch/" \
    --exclude "/home/kunsi/VirtualBox VMs/" \
    "/home/kunsi" "kunsi-t470@home.nas":backups/

# Do updates
yay -Syu
